# Generated from react-webpacker-1.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name react-webpacker

Name: rubygem-%{gem_name}
Version: 1.4.0
Release: 1%{?dist}
Summary: The smallest, enoughly-tested library for react with webpacker
License: MIT
URL: https://github.com/euxn23/react-webpacker
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
BuildArch: noarch

%description
The smallest, enoughly-tested library for react with webpacker.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.babelrc
%{gem_instdir}/.eslintignore
%{gem_instdir}/.eslintrc.js
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.npmignore
%{gem_instdir}/.prettierignore
%exclude %{gem_instdir}/.prettierrc
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/src
%{gem_instdir}/webpack.config.js
%{gem_instdir}/yarn.lock
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/react-webpacker.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.4.0-1
- Initial package
